Subject: bug#24849: Is Emacs put in idle mode when window is not focused?

From: Daniel Colascione <[email-masked]>
Date: Tue, 1 Nov 2016 13:37:36 -0700

On 11/01/2016 01:33 PM, Johan Andersson wrote:
>> BTW: please don't top-post
>
> Sorry, what?

Please start your reply below the text to which you're replying.

     A: Because we read from top to bottom, left to right.
     Q: Why should I start my reply below the quoted text?

     A: Because it messes up the order in which people normally read text.
     Q: Why is top-posting such a bad thing?

     A: The lost context.
     Q: What makes top-posted replies harder to read than bottom-posted?

     A: Yes.
     Q: Should I trim down the quoted part of an email to which I'm 
replying?

>
>> Are you sure that your subprocess isn't buffering its output?
>
> No. Does that make a difference?

Emacs can't respond to what it can't see. If your subprocess isn't 
pushing bytes to the kernel and is instead buffering internally, Emacs 
can't see those bytes. Internal buffering is a common cause of 
complaints about parent processes not seeing output from children.

>
>> Can you catch Emacs in the act?
>
> What do you mean?
>
>> Assuming GNU/Linux here.
>
> On a Mac here, but I might be able to find a GNU/Linux machine at work tomo.

dtrace, which OS X supports, has similar system-call-tracing 
capabilities, although I don't know the correct incantation off the top 
of my head.